%
% anyremote configuration file for smplayer management. (Server-mode)
% (tested with v0.2.37)
% 

% STATUS stable
% XTEST yes
% SOUND app
% ENV no
% FBROWSER v.3i
% DEF_VIDEO_PLAYER   
% ALL_IN_ONE 

GuiAppName=Smplayer
GuiAppBinary=smplayer
GuiAppRun=echo 'A=`ps -ef|grep smplayer|grep -v grep`; if [ "x$A" == "x" ]; then echo NOK; else echo OK; fi'|bash -f -s
GuiAppIcon=smplayer.png
GuiAppType=Application
GuiAppProtocols=Server
GuiAppDesc=SMPlayer intends to be a complete front-end for MPlayer

[Protocol]=Server

(Init)=Include($(CfgDir)/Utils/aliases-server.cfg);\
        Include($(CfgDir)/Utils/aliases-server-fbrowser-v3i.cfg);\
	Include($(CfgDir)/Utils/aliases-server-video-player.cfg);\
	Make(var,app_name,by_value,Smplayer);\
	Make(var,open_file,by_value,);\
	Make(var,app_manage_mode,by_value,smplayer);

(Connect)=Make(mode,smplayer_init);

[Mode]=smplayer_init : default_video_player_init

APP_IS_RUN=\
	Make(var,app_run,ID=`id -u`;A=`pgrep -u $ID smplayer`; if [ "x$A" = "x" ]; then echo 0; else echo 1; fi);

[ModeEnd]

[Mode]=smplayer : default_video_player

% (EnterMode) by Utils/aliases-server-video-player.cfg

APP_START_IF=\
	Set(title,$(open_file));\
	Exec(ID=`id -u`;P=`pgrep -u $ID smplayer`; if [ "x$P" = "x" ]; then cd "`cat $HOME/.anyRemote/ar_storedir.tmp`";smplayer $(open_file) 2> /dev/null & fi);

% Application window should be present in output of "wmctrl -l"
APP_RAISE=\
	Exec($(CfgDir)/Utils/run-or-switch-to.sh -switch smplayer);

APP_QUIT=\
	Emulate(keydown,Control_L,key,x,keyup,Control_L);\
	Exec(pkill -u `id -u` smplayer);

APP_FULLSCREEN=\
	Emulate(key,f)

% Override
1=Emulate(key,9)
2=Emulate(key,m)
3=Emulate(key,0)

PLAY=Emulate(key,Space)
RWD=Emulate(key,Left)
FF=Emulate(key,Right)
STOP=Emulate(key,Space)
PAUSE=Emulate(key,Space)

[ModeEnd]

[End]
